package net.t2code.lib.Spigot.Lib.vault;

import net.milkbowl.vault.economy.Economy;
import net.milkbowl.vault.permission.Permission;
import net.t2code.lib.Spigot.Lib.messages.send;
import net.t2code.lib.Spigot.system.Main;
import net.t2code.lib.Spigot.system.languages.SelectLibMsg;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.plugin.RegisteredServiceProvider;

public class Vault {

    public static Boolean vaultEnable;
    public static Boolean connected;

    public static boolean buy(String prefix, Player p, Double price) {
        if (Main.eco == null) {
            if (Bukkit.getPluginManager().getPlugin("Vault") == null) {
                send.console(prefix + " §4\n" + prefix + " §4Vault could not be found! §9Please download it here: " +
                        "§6https://www.spigotmc.org/resources/vault.34315/§4\n" + prefix);
            }
            p.sendMessage(prefix + "\n" + SelectLibMsg.VaultNotSetUp + "\n" + prefix);
        } else {
            return Main.eco.withdrawPlayer(p,price).transactionSuccess();
        }
        return false;
    }

    public static boolean addMoney(String prefix, Player p, Double price) {
        if (Main.eco == null) {
            if (Bukkit.getPluginManager().getPlugin("Vault") == null) {
                send.console(prefix + " §4\n" + prefix + " §4Vault could not be found! §9Please download it here: " +
                        "§6https://www.spigotmc.org/resources/vault.34315/§4\n" + prefix);
            }
            p.sendMessage(prefix + "\n" + SelectLibMsg.VaultNotSetUp + "\n" + prefix);
        } else {
            return Main.eco.depositPlayer(p,price).transactionSuccess();
        }
        return false;
    }

    public static void loadVault() throws InterruptedException {
        long long_ = System.currentTimeMillis();
        if (Main.plugin.getServer().getPluginManager().getPlugin("Vault") != null) {
            vaultEnable = true;
            RegisteredServiceProvider<Economy> eco = Main.plugin.getServer().getServicesManager().getRegistration(Economy.class);
            if (eco != null) {
                Main.eco = eco.getProvider();
                if (Main.eco != null) {
                    connected = true;
                    send.console(Main.prefix + " §2Vault / Economy successfully connected!" + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
                } else {
                    connected = false;
                    send.console(Main.prefix + " §4Economy could not be connected / found! 1" + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
                }
            } else {
                connected = false;
                send.console(Main.prefix + " §4Economy could not be connected / found! 2" + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
            }
            RegisteredServiceProvider<Permission> perm = Main.plugin.getServer().getServicesManager().getRegistration(Permission.class);
            if (perm != null) {
                Main.perm = perm.getProvider();
            }
        } else {
            vaultEnable = false;
            connected = false;
            send.console(Main.prefix + " §4Vault could not be connected! 3" + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
        }
    }

    public static void vaultDisable() {
        connected = false;
        send.console(Main.prefix + " §4Vault / Economy successfully deactivated.");
    }
}
