package net.t2code.lib.Spigot.system.config;

import net.t2code.lib.Spigot.system.Main;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class SelectLibConfig {


    public static Boolean UpdateCheckOnJoin;
    public static Integer UpdateCheckTimeInterval;
    public static Boolean Debug;
    public static String language;
    public static Boolean InventoriesCloseByServerStop;

    public static void onSelect() {
        File config = new File(Main.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        UpdateCheckOnJoin = yamlConfiguration.getBoolean("Plugin.UpdateCheck.OnJoin");
        UpdateCheckTimeInterval = yamlConfiguration.getInt("Plugin.UpdateCheck.TimeInterval");
        Debug = yamlConfiguration.getBoolean("Plugin.Debug");
        language = yamlConfiguration.getString("Plugin.language");
        InventoriesCloseByServerStop = yamlConfiguration.getBoolean("Player.Inventories.CloseByServerStop");

    }
}
